OpenVDB: BuildTraits< T > Struct Template Reference

OpenVDB 11.0.0

Loading...
Searching...
No Matches
Static Public Attributes | List of all members
BuildTraits< T > Struct Template Reference

Define static boolean tests for template build types. More...

`#include <nanovdb/NanoVDB.h>`

## Static Public Attributes
static constexpr bool | is_index = is_same<T, ValueIndex, ValueIndexMask, ValueOnIndex, ValueOnIndexMask>::value
static constexpr bool | is_onindex = is_same<T, ValueOnIndex, ValueOnIndexMask>::value
static constexpr bool | is_offindex = is_same<T, ValueIndex, ValueIndexMask>::value
static constexpr bool | is_indexmask = is_same<T, ValueIndexMask, ValueOnIndexMask>::value
static constexpr bool | is_FpX = is_same<T, Fp4, Fp8, Fp16>::value
static constexpr bool | is_Fp = is_same<T, Fp4, Fp8, Fp16, FpN>::value
static constexpr bool | is_float = is_floating_point<T>::value
static constexpr bool | is_special = is_index || is_Fp || is_same<T, Point, bool, ValueMask>::value

## Detailed Description

template<typename T>
struct nanovdb::BuildTraits< T >

Define static boolean tests for template build types.

## Member Data Documentation

## ◆ is_float

template<typename T >

constexpr bool is_float = is_floating_point<T>::value
| staticconstexpr

## ◆ is_Fp

template<typename T >

constexpr bool is_Fp = is_same<T, Fp4, Fp8, Fp16, FpN>::value
| staticconstexpr

## ◆ is_FpX

template<typename T >

constexpr bool is_FpX = is_same<T, Fp4, Fp8, Fp16>::value
| staticconstexpr

## ◆ is_index

template<typename T >

constexpr bool is_index = is_same<T, ValueIndex, ValueIndexMask, ValueOnIndex, ValueOnIndexMask>::value
| staticconstexpr

## ◆ is_indexmask

template<typename T >

constexpr bool is_indexmask = is_same<T, ValueIndexMask, ValueOnIndexMask>::value
| staticconstexpr

## ◆ is_offindex

template<typename T >

constexpr bool is_offindex = is_same<T, ValueIndex, ValueIndexMask>::value
| staticconstexpr

## ◆ is_onindex

template<typename T >

constexpr bool is_onindex = is_same<T, ValueOnIndex, ValueOnIndexMask>::value
| staticconstexpr

## ◆ is_special

template<typename T >

constexpr bool is_special = is_index || is_Fp || is_same<T, Point, bool, ValueMask>::value
| staticconstexpr